lift.hpp File Reference

Forward declares `boost::hana::lift`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename A >
constexpr auto | boost::hana::lift
| Lift a value into an `Applicative` structure.`lift<A>` takes a normal value and embeds it into a structure whose shape is represented by the `A` `Applicative`. Note that the value may be a function, in which case the created structure may be `ap`plied to another `Applicative` structure containing values. More...

## Detailed Description

Forward declares `boost::hana::lift`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)